%define husky_version 1.9.0
%define smapi_version 2.5.0
%define husky_cvsdate 20040614
%define hptzip_version 0.1.0
%define ver %smapi_version
%define rel alt1.%husky_cvsdate

Name: libsmapi
Summary: Husky project common part
Version: %ver
Release: %rel
License: GPL
Group: Communications
Requires: ftn
Packager: FTN Development Team <ftn@packages.altlinux.org>

Source0: smapi.tar.bz2

BuildPreReq: libhusky-devel >= %husky_version-%release
BuildPreReq: huskybse = %husky_version-%release

%description
Husky project squish api library

%description -l ru_RU.KOI8-R
      squish.

%package devel
Group: Development/C
Summary: Husky project squish api library header files
Requires: %name

%description devel
Husky project squish api static library files

%description -l ru_RU.KOI8-R
 ,    ,
       squish.

%package devel-static
Group: Development/C
Summary: Husky project squish api library header files

%description devel-static
Husky project squish api static library files

%description -l ru_RU.KOI8-R devel-static
,     ,
      squish.

%prep
%setup -q -n smapi

%build
%make DEBIAN=1

%install
%__mkdir_p %buildroot{%_sysconfdir/ftn,%prefix}

%make DEBIAN=1 PREFIX=%buildroot%prefix install
%__install -m0644 cvsdate.h %buildroot%_includedir/smapi/

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%attr(755,root,root) %_libdir/*.so.*

%files devel
%dir %attr(755,root,root) %_includedir/smapi/
%attr(644,root,root) %_includedir/smapi/*.h
%attr(755,root,root) %_libdir/*.so

%files devel-static
%attr(644,root,root) %_libdir/*.a

%changelog
* Mon Jun 28 2004 Ivan Fedorov <ns@altlinux.ru> 2.5.0-alt1.20040614
- Fixing "Release" tag

* Mon Jun 14 2004 Ivan Fedorov <ns@altlinux.ru> 2.5.0-alt0.20040614
- Updated from cvs
- fixing CFGDIR in huskymak.cfg

* Sat Jun 12 2004 Ivan Fedorov <ns@altlinux.ru> 2.5.0-alt0.20040612
- Updated from cvs

* Mon Jun 07 2004 Ivan Fedorov <ns@altlinux.ru> 2.5.0-alt0.20040607
- Specfile rewritten from scratch
